 25-akpm/arch/i386/kernel/timers/timer_hpet.c |   28 ++++++++++++---------------
 arch/i386/kernel/timers/timer.c              |    0 
 2 files changed, 13 insertions(+), 15 deletions(-)

diff -puN arch/i386/kernel/timers/timer_hpet.c~hpet-05-timer-services-tweaks arch/i386/kernel/timers/timer_hpet.c
--- 25/arch/i386/kernel/timers/timer_hpet.c~hpet-05-timer-services-tweaks	Fri Aug 29 11:05:58 2003
+++ 25-akpm/arch/i386/kernel/timers/timer_hpet.c	Fri Aug 29 11:10:18 2003
@@ -8,6 +8,7 @@
 #include <linux/timex.h>
 #include <linux/errno.h>
 #include <linux/string.h>
+#include <linux/jiffies.h>
 
 #include <asm/timer.h>
 #include <asm/io.h>
@@ -17,8 +18,6 @@
 #include "mach_timer.h"
 #include <asm/hpet.h>
 
-extern volatile unsigned long jiffies;
-
 static unsigned long hpet_usec_quotient;	/* convert hpet clks to usec */
 static unsigned long tsc_hpet_quotient;		/* convert tsc to hpet clks */
 static unsigned long hpet_last; 	/* hpet counter value at last tick*/
@@ -191,6 +190,7 @@ bad_calibration:
 
 static int __init init_hpet(char* override)
 {
+	unsigned long result, remain;
 
 	/* check clock override */
 	if (override[0] && strncmp(override,"hpet",4))
@@ -210,23 +210,22 @@ static int __init init_hpet(char* overri
 			{	unsigned long eax=0, edx=1000;
 				ASM_DIV64_REG(cpu_khz, edx, tsc_quotient,
 						eax, edx);
-				printk("Detected %lu.%03lu MHz processor.\n", cpu_khz / 1000, cpu_khz % 1000);
+				printk("Detected %lu.%03lu MHz processor.\n",
+					cpu_khz / 1000, cpu_khz % 1000);
 			}
 			set_cyc2ns_scale(cpu_khz/1000);
 		}
 	}
-	{
-		/*
-		 * Math to calculate hpet to usec multiplier
-		 * Look for the comments at get_offset_hpet()
-		 */
-		unsigned long result, remain;
-		ASM_DIV64_REG(result, remain, hpet_tick, 0, KERNEL_TICK_USEC);
-		if (remain > (hpet_tick >> 1))
-			result++; /* rounding the result */
 
-		hpet_usec_quotient = result;
-	}
+	/*
+	 * Math to calculate hpet to usec multiplier
+	 * Look for the comments at get_offset_hpet()
+	 */
+	ASM_DIV64_REG(result, remain, hpet_tick, 0, KERNEL_TICK_USEC);
+	if (remain > (hpet_tick >> 1))
+		result++; /* rounding the result */
+	hpet_usec_quotient = result;
+
 	return 0;
 }
 
@@ -240,4 +239,3 @@ struct timer_opts timer_hpet = {
 	.monotonic_clock =	monotonic_clock_hpet,
 	.delay = 		delay_hpet,
 };
-
diff -puN arch/i386/kernel/timers/timer.c~hpet-05-timer-services-tweaks arch/i386/kernel/timers/timer.c

_
